Commit b22be823 authored by Nick Thomas's avatar Nick Thomas 💃

Support more elasticsearch versions

parent f9e833c4
......@@ -55,13 +55,13 @@ stages:
services:
- postgres:latest
- redis:alpine
- elasticsearch:5.1
- elasticsearch:5.3
.use-mysql: &use-mysql
services:
- mysql:latest
- redis:alpine
- elasticsearch:5.1
- elasticsearch:5.3
.only-master-and-ee-or-mysql: &only-master-and-ee-or-mysql
only:
......
---
title: Support more elasticsearch versions
merge_request: 1716
author:
......@@ -33,7 +33,7 @@ service.
| GitLab version | Elasticsearch version |
| -------------- | --------------------- |
| GitLab Enterprise Edition 8.4 - 8.17 | Elasticsearch 2.4 with [Delete By Query Plugin](https://www.elastic.co/guide/en/elasticsearch/plugins/2.4/plugins-delete-by-query.html) installed |
| GitLab Enterprise Edition 9.0+ | Elasticsearch 5.1 |
| GitLab Enterprise Edition 9.0+ | Elasticsearch 5.1 - 5.3 |
## Install Elasticsearch
......
......@@ -1078,11 +1078,11 @@ namespace :gitlab do
def check_elasticsearch
client = Gitlab::Elastic::Client.build(current_application_settings.elasticsearch_config)
print "Elasticsearch version 5.1.x? ... "
print "Elasticsearch version 5.1 - 5.3? ... "
version = Gitlab::VersionInfo.parse(client.info["version"]["number"])
if version.major == 5 && version.minor == 1
if version.major == 5 && (1..3).cover?(version.minor)
puts "yes (#{version})".color(:green)
else
puts "no, you have #{version}".color(:red)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment